//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 3-1 #1
//
// Turns the green LED on for 10 seconds, then the yellow LED for three
// seconds, then the red LED for 10 seconds in an infinit loop.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define GREEN_LED PIN_C6
#define YELLOW_LED PIN_C4
#define RED_LED PIN_C3

#define GREEN_TIME 10
#define YELLOW_TIME 3
#define RED_TIME 10

void main(void)   {
   
   // Turn off all LEDs
   output_low(GREEN_LED);
   output_low(YELLOW_LED);
   output_low(RED_LED);
   
   for(;;)
   {
      output_high(GREEN_LED);
      delay_ms(GREEN_TIME*1000);
      output_low(GREEN_LED);
      
      output_high(YELLOW_LED);
      delay_ms(YELLOW_TIME*1000);
      output_low(YELLOW_LED);
      
      output_high(RED_LED);
      delay_ms(RED_TIME*1000);
      output_low(RED_LED);      
   }
}
