//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 3-1 #3
//
// Uses three #define macros to turn the LEDs on for one second each
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define GREEN_LED PIN_C6
#define YELLOW_LED PIN_C4
#define RED_LED PIN_C3

#define GREEN_TIME 10
#define YELLOW_TIME 3
#define RED_TIME 10

#define HANDLE_GREEN    output_high(GREEN_LED); \
                        delay_ms(GREEN_TIME*1000); \
                        output_low(GREEN_LED);

#define HANDLE_YELLOW   output_high(YELLOW_LED); \
                        delay_ms(YELLOW_TIME*1000); \
                        output_low(YELLOW_LED);

#define HANDLE_RED      output_high(RED_LED); \
                        delay_ms(RED_TIME*1000); \
                        output_low(RED_LED);

void main(void)   {
   
   // Turn off all LEDs
   output_low(GREEN_LED);
   output_low(YELLOW_LED);
   output_low(RED_LED);
   
   for(;;)
   {
      HANDLE_GREEN
      
      HANDLE_YELLOW
      
      HANDLE_RED
   }
}

