//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 3-1 #6
//
// Recreation of EX3-1-1.c, but with only on semicolon in the file.
// This is for demonstration purpose to show how #define works with a C
// Compiler, you should never write code like this!
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define SEMICOLON ;

#define GREEN_LED PIN_C6
#define YELLOW_LED PIN_C4
#define RED_LED PIN_C3

#define GREEN_TIME 10
#define YELLOW_TIME 3
#define RED_TIME 10

void main(void)   {
   
   // Turn off all LEDs
   output_low(GREEN_LED)SEMICOLON
   output_low(YELLOW_LED)SEMICOLON
   output_low(RED_LED)SEMICOLON
   
   for(SEMICOLON SEMICOLON)
   {
      output_high(GREEN_LED)SEMICOLON
      delay_ms(GREEN_TIME*1000)SEMICOLON
      output_low(GREEN_LED)SEMICOLON
      
      output_high(YELLOW_LED)SEMICOLON
      delay_ms(YELLOW_TIME*1000)SEMICOLON
      output_low(YELLOW_LED)SEMICOLON
      
      output_high(RED_LED)SEMICOLON
      delay_ms(RED_TIME*1000)SEMICOLON
      output_low(RED_LED)SEMICOLON
   }
}
